Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1737330 - smbios type=2 doesn't support family option
Summary: smbios type=2 doesn't support family option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: seabios
Version: 8.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Igor Mammedov
QA Contact: Xueqiang Wei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-05 06:39 UTC by Yumei Huang
Modified: 2021-07-27 19:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-15 07:38:10 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Yumei Huang 2019-08-05 06:39:56 UTC
Description of problem:

Option family for "-smbios type=2" is rejected by qemu, but man page shows:

"
-smbios
       type=2[,manufacturer=str][,product=str][,version=str][,serial=str][,asset=str][,location=str][,family=str]
           Specify SMBIOS type 2 fields
"

According to https://bugzilla.redhat.com/show_bug.cgi?id=1508342#c3, the documentation need update.

Version-Release number of selected component (if applicable):
qemu-kvm-4.0.0-6.module+el8.1.0+3736+a2aefea3

How reproducible:
always

Steps to Reproduce:
1. # /usr/libexec/qemu-kvm -smbios type=2,family=test
qemu-kvm: -smbios type=2,family=test: Invalid parameter 'family'

2. # man qemu-kvm
3.

Actual results:
Man page shows -smbios type=2 should accept family option.

Expected results:
No family option for -smbios type=2 in qemu-kvm man page.

Additional info:

Comment 1 Yumei Huang 2019-08-05 06:51:49 UTC
Another thing, if specify sku for type 3, would get two different SKU Number in guest. Not sure if it is an issue.

# /usr/libexec/qemu-kvm -smbios type=3,sku=470065-200 ...

In guest,

# dmidecode |grep SKU
	SKU Number: Not Specified
	SKU Number: 470065-200

Comment 2 Yumei Huang 2019-08-05 07:58:49 UTC
Add more info for comment 1, seems a default smbios type=1 has been added to guest.

QEMU cli:

# /usr/libexec/qemu-kvm -smbios type=3,sku=470065-200 /home/kvm_autotest_root/images/rhel810-64-virtio-scsi.qcow2 -m 4G -smp 16 -monitor stdio -vnc :0 -serial tcp:0:1234,server,nowait

Guest dmidecode info:

#  dmidecode 
...
Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Red Hat
	Product Name: KVM
	Version: RHEL 7.6.0 PC (i440FX + PIIX, 1996)
	Serial Number: Not Specified
	UUID: Not Settable
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Red Hat Enterprise Linux

Handle 0x0300, DMI type 3, 22 bytes
Chassis Information
	Manufacturer: Red Hat
	Type: Other
	Lock: Not Present
	Version: RHEL 7.6.0 PC (i440FX + PIIX, 1996)
	Serial Number: Not Specified
	Asset Tag: Not Specified
	Boot-up State: Safe
	Power Supply State: Safe
	Thermal State: Safe
	Security Status: Unknown
	OEM Information: 0x00000000
	Height: Unspecified
	Number Of Power Cords: Unspecified
	Contained Elements: 0
	SKU Number: 470065-200
...

Comment 6 RHEL Program Management 2021-03-15 07:38:10 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.

Comment 7 Xueqiang Wei 2021-07-27 19:30:41 UTC
Not hit it in qemu 6.0. It has been fixed. 

$ /usr/libexec/qemu-kvm -smbios type=2,family=test
qemu-kvm: -smbios type=2,family=test: Invalid parameter 'family'


man page shows: 
 -smbios type=2[,manufacturer=str][,product=str][,version=str][,serial=str][,asset=str][,location=str]


Versions:
kernel-4.18.0-323.el8.x86_64
qemu-kvm-6.0.0-25.module+el8.5.0+11890+8e7c3f51


Note You need to log in before you can comment on or make changes to this bug.